Bug 1471523 - (CVE-2017-10110) CVE-2017-10110 OpenJDK: insufficient access control checks in ImageWatched (AWT, 8174098)
CVE-2017-10110 OpenJDK: insufficient access control checks in ImageWatched (A...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20170718,repor...
: Security
Depends On:
Blocks: 1466515
  Show dependency treegraph
 
Reported: 2017-07-16 12:05 EDT by Tomas Hoger
Modified: 2017-08-15 15:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2017-07-16 12:05:47 EDT
It was discovered that the implementation of the ImageWatched class in the AWT component of OpenJDK failed to properly perform access control checks.  An untrusted Java application or applet could use this flaw to bypass Java sandbox restrictions.
Comment 1 Tomas Hoger 2017-07-18 15:48:13 EDT
Public now via Oracle CPU July 2017:

http://www.oracle.com/technetwork/security-advisory/cpujul2017-3236622.html#AppendixJAVA

The issue was fixed in Oracle JDK 8u141, 7u151, and 6u161.
Comment 2 Tomas Hoger 2017-07-19 05:12:35 EDT
OpenJDK-8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/78a83e6e0fe8
Comment 3 errata-xmlrpc 2017-07-20 12:00:17 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:1792 https://access.redhat.com/errata/RHSA-2017:1792
Comment 4 errata-xmlrpc 2017-07-20 12:02:37 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:1791 https://access.redhat.com/errata/RHSA-2017:1791
Comment 5 errata-xmlrpc 2017-07-20 12:18:29 EDT
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2017:1790 https://access.redhat.com/errata/RHSA-2017:1790
Comment 6 errata-xmlrpc 2017-07-20 13:50:15 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1789 https://access.redhat.com/errata/RHSA-2017:1789
Comment 7 errata-xmlrpc 2017-08-07 11:06:54 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:2424 https://access.redhat.com/errata/RHSA-2017:2424
Comment 8 errata-xmlrpc 2017-08-14 05:49:33 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:2469 https://access.redhat.com/errata/RHSA-2017:2469
Comment 9 errata-xmlrpc 2017-08-15 15:59:25 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:2481 https://access.redhat.com/errata/RHSA-2017:2481

Note You need to log in before you can comment on or make changes to this bug.